[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TInputDialogFunction

Specifies the function called for a given platform to display and execute an input dialog using the specified values.

## Declaration

Source position: interfacebase.pp line 211

`type TInputDialogFunction = function(`
`const InputCaption: string;`
`const InputPrompt: string;`
`MaskInput: Boolean;`
`var Value: string`
`):Boolean;`

## Arguments

`InputCaption` |  | Value displayed as the caption or title for the input dialog.
`InputPrompt` |  | Contains the text displayed as the main content for the input dialog.
`Value` |  | Returns the value entered in the edit control for the input dialog. Contains the initial value for the edit control on entry.